Name:           libitl
Version:        0.6.4 
Release:        2%{?dist}
Summary:        Libraries for The Islamic Tools and Libraries Project

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.arabeyes.org/project.php?proj=ITL
Source0:        http://switch.dl.sourceforge.net/sourceforge/arabeyes/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Patch101:  libitl-makefile-destdir.patch
Patch102:  libitl-configure.patch
#BuildRequires:  autoconf

%description
The Islamic Tools and Libraries (ITL) is a project 
to provide a plethora of useful Islamic tools and 
applications as well as a comprehensive feature-full 
Islam-centric library. The ITL project currently 
includes Hijri date, Muslim prayer times, and Qibla. 

This package contains the libraries for applications using ITL

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch101 -p1 -b .makefile-destdir
#./autogen.sh
%patch102 -p1 -b .configure
chmod +x configure

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'



%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libitl.so.*

%files devel
%defattr(-,root,root,-)
%doc prayertime/doc/method-info.txt
%doc prayertime/README
%doc hijri/README
%{_libdir}/libitl.so
%{_includedir}/itl/


%changelog
* Sun Feb 03 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.4-2
- modified makefile to install .so files to standard path
- moved unversioned .so to devel package
- added requires to ldconfig
- changed license to LGPLv2+
- upstream tarball doesn't include a configure script.
  ran autogen.sh with autoconf-2.61 and created a patch to 
  include a configure script instead of running autogen.sh
  on every compile. autoconf-2.61 works with this tarball but we
  don't know about the other autoconf versions.

* Thu Oct 18 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.4-1
- Initial package
